package nccloud.web.hrhi.psndoc.vo;

import java.util.Map;
import java.util.Vector;

import nc.vo.hi.psndoc.TrainVO;

/**
 * 导入结果类
 * 
 * @author lenovo
 *
 */
public class ImportBean {

	/**
	 * 结果数据
	 */
	private Vector<TrainVO> vector = new Vector<TrainVO>();

	/**
	 * 表头
	 */
	private Vector<Map<String, Object>> headVector = new Vector<>();

	/**
	 * 是否成功标志
	 */
	private boolean error = true;

	/**
	 * 错误的提示语
	 */
	private String errorMessage;

	/**
	 * 错误的文件名
	 */
	private String errorFile;

	public Vector<TrainVO> getVector() {
		return vector;
	}

	public void setVector(Vector<TrainVO> vector) {
		this.vector = vector;
	}

	public Vector<Map<String, Object>> getHeadVector() {
		return headVector;
	}

	public void setHeadVector(Vector<Map<String, Object>> headVector) {
		this.headVector = headVector;
	}

	public boolean isError() {
		return error;
	}

	public void setError(boolean error) {
		this.error = error;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	public String getErrorFile() {
		return errorFile;
	}

	public void setErrorFile(String errorFile) {
		this.errorFile = errorFile;
	}

}
